SDL_EventEntry Struct Reference
Collaboration diagram for SDL_EventEntry:
[legend]

## Data Fields

SDL_Event | event
SDL_SysWMmsg | msg
struct _SDL_EventEntry * | prev
struct _SDL_EventEntry * | next

## Detailed Description

Definition at line 62 of file SDL_events.c.

## Field Documentation

## event

SDL_Event SDL_EventEntry::event

Definition at line 64 of file SDL_events.c.

Referenced by SDL_AddEvent(), SDL_FilterEvents(), SDL_FlushEvents(), and SDL_PeepEvents().

## msg

SDL_SysWMmsg SDL_EventEntry::msg

Definition at line 65 of file SDL_events.c.

Referenced by SDL_AddEvent().

## next

struct _SDL_EventEntry* SDL_EventEntry::next

Definition at line 67 of file SDL_events.c.

Referenced by SDL_AddEvent(), SDL_CutEvent(), SDL_FilterEvents(), SDL_FlushEvents(), SDL_PeepEvents(), and SDL_StopEventLoop().

## prev

struct _SDL_EventEntry* SDL_EventEntry::prev

Definition at line 66 of file SDL_events.c.

Referenced by SDL_AddEvent(), and SDL_CutEvent().

The documentation for this struct was generated from the following file:

- src/events/SDL_events.c